summaryrefslogtreecommitdiffstats
path: root/tests/r_bigalloc_big_expand/script
diff options
context:
space:
mode:
Diffstat (limited to 'tests/r_bigalloc_big_expand/script')
-rw-r--r--tests/r_bigalloc_big_expand/script36
1 files changed, 36 insertions, 0 deletions
diff --git a/tests/r_bigalloc_big_expand/script b/tests/r_bigalloc_big_expand/script
new file mode 100644
index 0000000..101aafb
--- /dev/null
+++ b/tests/r_bigalloc_big_expand/script
@@ -0,0 +1,36 @@
+test_description="ext4 with bigalloc"
+if ! test -x $RESIZE2FS_EXE -o ! -x $DEBUGFS_EXE; then
+ echo "$test_name: $test_description: skipped (no debugfs/resize2fs)"
+ return 0
+fi
+
+FEATURES="-t ext4 -O bigalloc"
+SIZE_1=512M
+SIZE_2=2T
+LOG=$test_name.log
+E2FSCK=../e2fsck/e2fsck
+RESIZE2FS_OPTS=-f
+
+os=$(uname -s)
+if [ "$os" = "Darwin" -o "$os" = "GNU" -o "FreeBSD" ]; then
+ # creates a 2TB filesystem
+ echo "$test_name: $test_description: skipped for $os"
+ return 0
+fi
+
+. $cmd_dir/scripts/resize_test
+
+resize_test
+RC=$?
+if [ $RC -eq 0 ]; then
+ echo "$test_name: $test_description: ok"
+ touch $test_name.ok
+elif [ $RC -eq 111 ]; then
+ echo "$test_name: $test_description: skipped (no large sparse files)"
+ touch $test_name.ok
+else
+ echo "$test_name: $test_description: failed"
+ ln $LOG $test_name.failed
+fi
+
+unset FEATURES SIZE_1 SIZE_2 LOG E2FSCK